Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# IORC.cpp File Reference

`#include "IORManip_Loader.h"`
`#include "tao/Typecode.h"`
`#include "tao/Any.h"`
`#include "tao/ORB.h"`
`#include "IORC.i"`

Include dependency graph for IORC.cpp:

## Defines
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CS_
#define | _TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_TAO_IOP_EmptyProfileList ( CORBA::tk_except, sizeof (_oc_TAO_IOP_EmptyProfileList), (char *) &_oc_TAO_IOP_EmptyProfileList, 0, sizeof (TAO_IOP::EmptyProfileList) )
CORBA::TypeCode | _tc_TAO_tc_TAO_IOP_NotFound ( CORBA::tk_except, sizeof (_oc_TAO_IOP_NotFound), (char *) &_oc_TAO_IOP_NotFound, 0, sizeof (TAO_IOP::NotFound) )
CORBA::TypeCode | _tc_TAO_tc_TAO_IOP_Duplicate ( CORBA::tk_except, sizeof (_oc_TAO_IOP_Duplicate), (char *) &_oc_TAO_IOP_Duplicate, 0, sizeof (TAO_IOP::Duplicate) )
CORBA::TypeCode | _tc_TAO_tc_TAO_IOP_Invalid_IOR ( CORBA::tk_except, sizeof (_oc_TAO_IOP_Invalid_IOR), (char *) &_oc_TAO_IOP_Invalid_IOR, 0, sizeof (TAO_IOP::Invalid_IOR) )
CORBA::TypeCode | _tc_TAO_tc_TAO_IOP_MultiProfileList ( CORBA::tk_except, sizeof (_oc_TAO_IOP_MultiProfileList), (char *) &_oc_TAO_IOP_MultiProfileList, 0, sizeof (TAO_IOP::MultiProfileList) )
void | operator<<= (CORBA::Any &_tao_any, const TAO_IOP::EmptyProfileList &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, TAO_IOP::EmptyProfileList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, TAO_IOP::EmptyProfileList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const TAO_IOP::EmptyProfileList *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const TAO_IOP::NotFound &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, TAO_IOP::NotFound *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, TAO_IOP::NotFound *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const TAO_IOP::NotFound *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const TAO_IOP::Duplicate &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, TAO_IOP::Duplicate *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, TAO_IOP::Duplicate *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const TAO_IOP::Duplicate *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const TAO_IOP::Invalid_IOR &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, TAO_IOP::Invalid_IOR *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, TAO_IOP::Invalid_IOR *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const TAO_IOP::Invalid_IOR *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const TAO_IOP::MultiProfileList &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, TAO_IOP::MultiProfileList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, TAO_IOP::MultiProfileList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const TAO_IOP::MultiProfileList *&_tao_elem)
## Variables
const CORBA::Long | _oc_TAO_IOP_EmptyProfileList []
const CORBA::Long | _oc_TAO_IOP_NotFound []
const CORBA::Long | _oc_TAO_IOP_Duplicate []
const CORBA::Long | _oc_TAO_IOP_Invalid_IOR []
const CORBA::Long | _oc_TAO_IOP_MultiProfileList []

## Define Documentation

#define _TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CS_

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_TAO_IOP_Duplicate ( | CORBA::tk_except,
| sizeof(_oc_TAO_IOP_Duplicate),
| (char *)& _oc_TAO_IOP_Duplicate,
| 0,
| sizeof(TAO_IOP::Duplicate) )`[static]`

CORBA::TypeCode _tc_TAO_tc_TAO_IOP_EmptyProfileList ( | CORBA::tk_except,
| sizeof(_oc_TAO_IOP_EmptyProfileList),
| (char *)& _oc_TAO_IOP_EmptyProfileList,
| 0,
| sizeof(TAO_IOP::EmptyProfileList) )`[static]`

CORBA::TypeCode _tc_TAO_tc_TAO_IOP_Invalid_IOR ( | CORBA::tk_except,
| sizeof(_oc_TAO_IOP_Invalid_IOR),
| (char *)& _oc_TAO_IOP_Invalid_IOR,
| 0,
| sizeof(TAO_IOP::Invalid_IOR) )`[static]`

CORBA::TypeCode _tc_TAO_tc_TAO_IOP_MultiProfileList ( | CORBA::tk_except,
| sizeof(_oc_TAO_IOP_MultiProfileList),
| (char *)& _oc_TAO_IOP_MultiProfileList,
| 0,
| sizeof(TAO_IOP::MultiProfileList) )`[static]`

CORBA::TypeCode _tc_TAO_tc_TAO_IOP_NotFound ( | CORBA::tk_except,
| sizeof(_oc_TAO_IOP_NotFound),
| (char *)& _oc_TAO_IOP_NotFound,
| 0,
| sizeof(TAO_IOP::NotFound) )`[static]`

void operator<<= ( | CORBA::Any & _tao_any,
| TAO_IOP::MultiProfileList * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const TAO_IOP::MultiProfileList & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| TAO_IOP::Invalid_IOR * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const TAO_IOP::Invalid_IOR & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| TAO_IOP::Duplicate * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const TAO_IOP::Duplicate & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| TAO_IOP::NotFound * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const TAO_IOP::NotFound & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| TAO_IOP::EmptyProfileList * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const TAO_IOP::EmptyProfileList & _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const TAO_IOP::MultiProfileList *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| TAO_IOP::MultiProfileList *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const TAO_IOP::Invalid_IOR *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| TAO_IOP::Invalid_IOR *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const TAO_IOP::Duplicate *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| TAO_IOP::Duplicate *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const TAO_IOP::NotFound *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| TAO_IOP::NotFound *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const TAO_IOP::EmptyProfileList *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| TAO_IOP::EmptyProfileList *& _tao_elem )

## Variable Documentation

const CORBA::Long _oc_TAO_IOP_Duplicate[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      26,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x54414f5f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x4475706c),
      ACE_NTOHL (0x69636174),
      ACE_NTOHL (0x653a312e),
      ACE_NTOHL (0x30000000),
      10,
      ACE_NTOHL (0x4475706c),
      ACE_NTOHL (0x69636174),
      ACE_NTOHL (0x65000000),
      0,
    }

const CORBA::Long _oc_TAO_IOP_EmptyProfileList[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      33,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x54414f5f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x456d7074),
      ACE_NTOHL (0x7950726f),
      ACE_NTOHL (0x66696c65),
      ACE_NTOHL (0x4c697374),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
      17,
      ACE_NTOHL (0x456d7074),
      ACE_NTOHL (0x7950726f),
      ACE_NTOHL (0x66696c65),
      ACE_NTOHL (0x4c697374),
      ACE_NTOHL (0x0),
      0,
    }

const CORBA::Long _oc_TAO_IOP_Invalid_IOR[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      28,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x54414f5f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x496e7661),
      ACE_NTOHL (0x6c69645f),
      ACE_NTOHL (0x494f523a),
      ACE_NTOHL (0x312e3000),
      12,
      ACE_NTOHL (0x496e7661),
      ACE_NTOHL (0x6c69645f),
      ACE_NTOHL (0x494f5200),
      0,
    }

const CORBA::Long _oc_TAO_IOP_MultiProfileList[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      33,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x54414f5f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x4d756c74),
      ACE_NTOHL (0x6950726f),
      ACE_NTOHL (0x66696c65),
      ACE_NTOHL (0x4c697374),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
      17,
      ACE_NTOHL (0x4d756c74),
      ACE_NTOHL (0x6950726f),
      ACE_NTOHL (0x66696c65),
      ACE_NTOHL (0x4c697374),
      ACE_NTOHL (0x0),
      0,
    }

const CORBA::Long _oc_TAO_IOP_NotFound[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      25,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x54414f5f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x4e6f7446),
      ACE_NTOHL (0x6f756e64),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
      9,
      ACE_NTOHL (0x4e6f7446),
      ACE_NTOHL (0x6f756e64),
      ACE_NTOHL (0x0),
      0,
    }